'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isWebglAvailable = undefined;

var _init = require('./init');

var _init2 = _interopRequireDefault(_init);

var _isBrowser = require('./utils/is-browser');

var _isBrowser2 = _interopRequireDefault(_isBrowser);

var _assert = require('assert');

var _assert2 = _interopRequireDefault(_assert);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ERR_NO_HEADLESS_GL = 'Failed to dynamically load headless gl. gl not installed or not accessible from this directory.'; /* eslint-disable quotes, no-console */
/* global console */


if (!_isBrowser2.default) {
  try {
    _init2.default.globals.headlessGL = module.require('gl');
    _init2.default.globals.headlessTypes = module.require('gl/wrap');
  } catch (error) {
    console.error(ERR_NO_HEADLESS_GL);
    console.error('Node error: ' + error.message);
  }
  (0, _assert2.default)(_init2.default.globals.headlessTypes.WebGLRenderingContext);
}

// Make sure luma.gl initializes with valid types
require('./webgl/api/types');

var isWebglAvailable = exports.isWebglAvailable = _isBrowser2.default || _init2.default.globals.headlessGL;
//# sourceMappingURL=headless.js.map